#!/bin/sh
echo "gnuplot"
gnuplot <<EOF
set terminal png font 'Times New Roman'
set output 'DateTimevsPrice.png'
set datafile separator ","
set xdata time
set timefmt '%Y-%m-%d %H:%M:%S'
set format x '%Y-%m-%d %H:%M:%S'
set xlabel 'Datetime'
set xrange ['2023-05-10 18:00:00' : '2023-05-10 22:00:00']
set xtics rotate
set ylabel 'Coin Price'
set yrange ['0':'32000']
set title "DateTime vs Coin Price plot"
plot "Binance.csv" using 3:1 t "Binance" w linespoints,"Bitcoin.csv" using 3:1 t "Bitcoin" w linespoints,"Cardano.csv" using 3:1 t "Cardano" w linespoints,"XRP.csv" using 3:1 t "XRP" w linespoints,"Ethereum.csv" using 3:1 t "Ethereum" w linespoints
EOF
