#!/bin/sh
echo "gnuplot 2"
gnuplot <<EOF
set terminal png font 'Times New Roman'
set output 'DateTimevsRate.png'
set datafile separator ","
set xdata time
set timefmt '%Y-%m-%d %H:%M:%S'
set format x '%Y-%m-%d %H:%M:%S'
set xlabel 'Date Time'
set xrange ['2023-05-10 18:00:00' : '2023-05-10 22:00:00']
set xtics rotate
set ylabel 'y-axis'
set yrange ['-3':'3']
set title "DateTime vs Coin Rate plot"
plot "Binance.csv" using 3:2 t "Binance" w linespoints, "Bitcoin.csv" using 3:2 t "Bitcoin" w linespoints, "Cardano.csv" using 3:2 t "Cardano" w linespoints, "XRP.csv" using 3:2 t "XRP" w linespoints, "Ethereum.csv" using 3:2 t "Ethereum" w linespoints
EOF
